Skip to main content
POST
/
team
/
statistics
/
detections
Get team detection statistics
curl --request POST \
  --url https://api.wirespeed.co/team/statistics/detections \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startDate": "<string>",
  "endDate": "<string>",
  "days": 123
}
'
{
  "totalDetections": 123,
  "historicDetections": 123,
  "escalatedDetections": 123,
  "containmentDetections": 123,
  "chatOpsDetections": 123,
  "automaticallyClosed": 123,
  "potentialChatOpsDetections": 123,
  "potentialContainmentDetections": 123,
  "potentialEscalatedDetections": 123,
  "verdictedMalicious": 123,
  "confirmedMalicious": 123,
  "truePositiveDetections": 123,
  "falsePositiveDetections": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
startDate
string

Start date (inclusive, ISO8601 string)

endDate
string

End date (inclusive, ISO8601 string)

days
number

Number of days for time-based filtering (1-365). Required by most endpoints unless startDate/endDate provided.

Response

totalDetections
number
required

Total number of detections

historicDetections
number
required

Number of historic detections

escalatedDetections
number
required

Number of detections that were escalated

containmentDetections
number
required

Number of detections that resulted in containment

chatOpsDetections
number
required

Number of detections handled via chat operations

automaticallyClosed
number
required

Number of detections automatically closed

potentialChatOpsDetections
number
required

Number of detections that could potentially use chat operations

potentialContainmentDetections
number
required

Number of detections that could potentially be contained

potentialEscalatedDetections
number
required

Number of detections that could potentially be escalated

verdictedMalicious
number
required

Number of detections with malicious verdict

confirmedMalicious
number
required

Number of detections confirmed as malicious

truePositiveDetections
number
required

Number of true positive detections

falsePositiveDetections
number
required

Number of false positive detections